{
  "name": "pnsps-react",
  "version": "1.1.2",
  "private": true,
  "homepage": "/",
  "dependencies": {
    "@ant-design/colors": "^6.0.0",
    "@ant-design/icons": "^4.7.0",
    "@casl/react": "^3.1.0",
    "@emotion/cache": "^11.10.3",
    "@emotion/react": "^11.10.4",
    "@emotion/styled": "^11.10.4",
    "@material-ui/pickers": "^3.3.10",
    "@mui/icons-material": "^5.14.1",
    "@mui/lab": "^5.0.0-alpha.139",
    "@mui/material": "^5.10.6",
    "@mui/styles": "^5.15.14",
    "@mui/x-data-grid": "^6.11.1",
    "@reduxjs/toolkit": "^1.8.5",
    "@testing-library/jest-dom": "^5.16.5",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^14.4.3",
    "@types/react-input-mask": "^3.0.2",
    "apexcharts": "^3.35.5",
    "axios": "^1.12.2",
    "date-fns": "^3.0.6",
    "dayjs": "^1.11.9",
    "formik": "^2.2.9",
    "framer-motion": "^7.3.6",
    "history": "^5.3.0",
    "jwt-decode": "^3.1.2",
    "lodash": "^4.17.21",
    "mui-image": "^1.0.7",
    "prop-types": "^15.8.1",
    "react": "^18.2.0",
    "react-apexcharts": "^1.4.0",
    "react-copy-to-clipboard": "^5.1.0",
    "react-device-detect": "^2.2.2",
    "react-dom": "^18.2.0",
    "react-draggable": "^4.4.5",
    "react-element-to-jsx-string": "^15.0.0",
    "react-hook-form": "^7.45.4",
    "react-idle-timer": "^5.7.2",
    "react-input-mask": "^3.0.0-alpha.2",
    "react-intl": "^6.4.7",
    "react-number-format": "^4.9.4",
    "react-perfect-scrollbar": "^1.5.8",
    "react-redux": "^8.0.4",
    "react-router": "^6.4.1",
    "react-router-dom": "^6.4.1",
    "react-scripts": "^5.0.1",
    "react-syntax-highlighter": "^15.5.0",
    "react-to-print": "^2.14.13",
    "react-toastify": "^9.1.3",
    "react-window": "^1.8.7",
    "redux": "^4.2.0",
    "simplebar": "^5.3.8",
    "simplebar-react": "^2.4.1",
    "typescript": "4.8.3",
    "web-vitals": "^3.0.2",
    "yup": "^0.32.11"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "babel": {
    "presets": [
      "@babel/preset-react"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/core": "^7.21.4",
    "@babel/eslint-parser": "^7.21.3",
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@mui/x-date-pickers": "^6.18.0",
    "ajv": "^6.12.6",
    "ajv-keywords": "^3.5.2",
    "eslint": "^8.38.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-config-react-app": "^7.0.1",
    "eslint-plugin-flowtype": "^8.0.3",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-jsx-a11y": "^6.7.1",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-react": "^7.32.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "prettier": "^2.8.7"
  },
  "overrides": {
    "schema-utils@3": {
      "ajv": "6.12.6",
      "ajv-keywords": "3.5.2"
    },
    "@apideck/better-ajv-errors": {
      "ajv": "^8.12.0"
    }
  }
}
